package tome_lib

type Player struct {
	Name  string  `json:"name"`
	Id    int     `json:"id"`
	Hand  []*Card `json:"hand"`
	Life  int     `json:"life"`
	Ready bool    `json:"ready"`
}

func NewPlayer(name string, id int) *Player {
	return &Player{
		Name:  name,
		Id:    id,
		Hand:  []*Card{},
		Life:  3,
		Ready: false,
	}
}
